.\"	$NetBSD: smsc.4,v 1.4 2008/04/30 13:10:54 martin Exp $
.\"
.\" Copyright (c) 2007 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Brett Lymn.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 3, 2008
.Dt SMSC 4
.Os
.Sh NAME
.Nm smsc
.Nd Standard Microsystems Corporation LPC47B397 Super I/O
.Sh SYNOPSIS
.Cd "smsc0 at isa? port 0x2e"
.Sh DESCRIPTION
The
.Nm smsc
driver provides support for the hardware monitoring portion of the
.Tn Standard Microsystems Corporation
LPC47B397, SCH5307-NS, and SCH5317 Super I/O chips to be used with
the
.Xr envsys 4
API.
.Pp
The chip supports 8 sensor inputs:
.Bl -column "Sensor" "Units" "Typical" -offset indent
.It Sy "Sensor" Ta Sy "Units" Ta Sy "Typical Use"
.It Li "Temp0" Ta "uK" Ta "CPU 1 Temperature"
.It Li "Temp1" Ta "uK" Ta "CPU 2 Temperature"
.It Li "Temp2" Ta "uK" Ta "Ambient Temperature"
.It Li "Temp3" Ta "uK" Ta "unused"
.It Li "Fan0" Ta "RPM" Ta "CPU 1 Fan"
.It Li "Fan1" Ta "RPM" Ta "unused"
.It Li "Fan2" Ta "RPM" Ta "unused"
.It Li "Fan3" Ta "RPM" Ta "CPU 2 Fan"
.El
.Sh HARDWARE
Motherboards with the chip supported by the
.Nm
driver include:
.Pp
.Bl -item -offset indent
.It
.Tn Tyan Thunder K8WE (S2895)
.El
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr envstat 8
.Sh HISTORY
The
.Nm
device appeared in
.Nx 5.0 .
